Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2729 - Printing from Win98 through Samba does not work
Summary: Printing from Win98 through Samba does not work
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: samba
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-11 09:15 UTC by persteinar.iversen
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-05-21 03:41:54 UTC


Attachments (Terms of Use)

Description persteinar.iversen 1999-05-11 09:15:22 UTC
Printing from a win 98 box through the share
published by samba does not work, the print
job just vanishes... File shares work well.

Installing the Samba team most recent rpm
cured the problem instantly.

Comment 1 Bill Nottingham 1999-05-11 14:18:59 UTC
Double check your smb.conf file; does it have:
a line that say 'printing = bsd'?

Comment 2 Kayvan Sylvan 1999-05-19 00:13:59 UTC
I just had the same problem after my RH 6.0 upgrade.
Uncommenting the "printing = bsd" line does, indeed, fix the problem.


------- Email Received From  Per Steinar Iversen <PerSteinar.Iversen@adm.hioslo.no> 05/19/99 02:08 -------

Comment 3 Bill Nottingham 1999-05-21 03:41:59 UTC
ok, the 'printing = bsd' line is now explicitly uncommented in
samba-2.0.4b-1, which will be in the next Raw Hide release...

Comment 4 eczema 1999-05-25 13:45:59 UTC
NO NO NO this is false the global parameter printing = bsd doesn't
work !
You need to put in the global section:
print command = lpr -r -P%p %s


Note You need to log in before you can comment on or make changes to this bug.